## org.apache.mahout.common
Class MemoryUtil

    java.lang.Object
      org.apache.mahout.common.MemoryUtil

    public final class MemoryUtil

extends Object

Memory utilities.

Method Summary
`static void` `logMemoryStatistics()` Logs current heap memory statistics.
`static void` `startMemoryLogger()` Constructs and starts a memory logger thread with a logging rate of 1000 milliseconds.
`static void` `startMemoryLogger(long rateInMillis)` Constructs and starts a memory logger thread.
`static void` `stopMemoryLogger()` Stops the memory logger, if any, started via `startMemoryLogger(long)` or `startMemoryLogger()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### logMemoryStatistics

    public static void logMemoryStatistics()

  Logs current heap memory statistics.

  See Also:
    `Runtime`

### startMemoryLogger

    public static void startMemoryLogger(long rateInMillis)

  Constructs and starts a memory logger thread.

  Parameters:
    `rateInMillis` - how often memory info should be logged.

### startMemoryLogger

    public static void startMemoryLogger()

  Constructs and starts a memory logger thread with a logging rate of 1000 milliseconds.

### stopMemoryLogger

    public static void stopMemoryLogger()

  Stops the memory logger, if any, started via `startMemoryLogger(long)` or `startMemoryLogger()`.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.